pcl::cuda::StoragePointer< Host, T > Struct Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Types

typedef T * | type

## Static Public Member Functions

template<typename U >
static U * | cast (type ptr)

## Detailed Description

### template<typename T>
struct pcl::cuda::StoragePointer< Host, T >

Definition at line 350 of file point_cloud.h.

## Member Typedef Documentation

## type

template<typename T >

typedef T* pcl::cuda::StoragePointer< Host, T >::type

Definition at line 352 of file point_cloud.h.

## Member Function Documentation

## cast()

template<typename T >
template<typename U >

static U* pcl::cuda::StoragePointer< Host, T >::cast | ( | type | ptr | ) |

inline static

Definition at line 354 of file point_cloud.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_cloud.h